RXP

RXP GTN 750/650 Touch X-Plane v2.4.9 Released!

Recommended Posts

I'm pleased to announce the v2.4.9 is now live in your "Check Updates..."

Thank you all for your assistance with the release candidate!

  • Enhanced: Reduced video card memory usage by 50%.
  • Enhanced: Using Ryan 9900BX TCAD instead of 9900B.
  • Enhanced: Preliminary changes for X-Plane 11.1.
  • Enhanced: Further performance and stability enhancement.
  • Fixed: Black screen issue experienced on few systems.
  • Fixed: Corrupted graphics when using Intel Video card.

PS: should you've installed the RC, check updates will not report the new version. You'd need to download the e-commerce installer from our website instead.

  • Upvote 1

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

Hi Jean-Luc,

When I check for updates it says "You're up to date" but I'm still using that file you sent me (RC3). Don't I need to update?

Thanks.

 

Share this post


Link to post
Share on other sites

Well, I just tried to check to see if my RC version of  2.4.9 was the same as what you posted and it is, but now I get the black screen. Here is what my rxpGtnSim.dll.log says:

17/11/04 04:15:06.383 12536 -    ] # rxpGtnSim64.dll version 2.4.9.0
17/11/04 04:19:39.613 12624 ERROR] Trainer Failed Task: 00000001
17/11/04 04:19:39.660 12624 ERROR] The specified procedure could not be found., code: 0000007f
17/11/04 04:21:09.459 12816 ERROR] Trainer Failed Task: 00000001
17/11/04 04:21:09.503 12816 ERROR] The specified procedure could not be found., code: 0000007f
17/11/04 04:21:35.893 05388 ERROR] Trainer Failed Task: 00000001
17/11/04 04:21:35.959 05388 ERROR] The specified procedure could not be found., code: 0000007f

And here is a dropbox link to a screen shot showing what I see.

https://www.dropbox.com/s/8ddfq0cbqdar4ih/xsMU2B60_15_3.png?dl=0

The GTN750 looks like it wants to turn on but just isn't turning on.

I also checked the garmin trainer and the 750/650 will not turn on there either. I have not tried to reboot my system yet.

Share this post


Link to post
Share on other sites
41 minutes ago, Alvega said:

You're up to date" but I'm still using that file you sent me (RC3). Don't I need to update?

Yes I'm sorry I've not thought about this! The files have the same version number so it won't detect the new version. Instead, just download the ecommerce installer ps from the web site and use the 'reinstall' option.

Share this post


Link to post
Share on other sites
31 minutes ago, asandor said:

my RC version of  2.4.9 was the same as what you posted and it is

It is not the same version, although the file numbers are the same ( see above). Just reboot and reinstall like indicated, and let me know how it goes.

Share this post


Link to post
Share on other sites
1 minute ago, RXP said:

Yes I'm sorry I've not thought about this! The files have the same version number so it won't detect the new version. Instead, just download the ecommerce installer ps from the web site and use the 'reinstall' option.

 

Can't I just place the "rxpGtnSim32" I had before in the folder and then check for updates?

Share this post


Link to post
Share on other sites

It won't work because the RC already is the last version (from a file number standpoint). It was an oversight when releasing the RC.

Share this post


Link to post
Share on other sites
1 minute ago, RXP said:

It won't work because the RC already is the last version (from a file number standpoint). It was an oversight when releasing the RC.

I'm downloading the new installers now and will give them a try.

Share this post


Link to post
Share on other sites
12 minutes ago, RXP said:

It won't work because the RC already is the last version (from a file number standpoint). It was an oversight when releasing the RC.

I don't need to reinstall the trainer again, right?

Share this post


Link to post
Share on other sites

Ok, rebooting and installing 2.4.9 did seem for work. I'll test it some more over the next day or so and see what happens.

  • Upvote 1

Share this post


Link to post
Share on other sites

Jean-Luc,  I'm not sure why, but Microsoft Security Essentials is not letting me download this file from your site.  This has never happened before.   Do you have any suggestions?

Thanks,  Howard

Share this post


Link to post
Share on other sites

Hi Howard, the first suggestion that comes to mind is to deactivate MSSE the time for you to download and install the files, or to whitelist them.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now